<template>
  <page-layout>
    <!-- Template Content Start -->
    <lazy-hydrate when-idle>
      <sector-cover-section id="sector-cover-section" v-bind="cover" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <sector-areas-section id="sector-areas-section" v-bind="content.areas" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <sector-image-gallery-section
        id="sector-image-gallery-section"
        v-bind="content.imageGallery"
      />
    </lazy-hydrate>
    <!-- Template Content End -->
  </page-layout>
</template>

<script>
import TemplateSections from '~/components/sectores/detail/';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Sector',
  components: TemplateSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { areas, imageGallery } = this.$page.content;

      return {
        areas,
        imageGallery,
      };
    },
  },
};
</script>

<page-query>
  query SectorTemplateContent($id: ID!) {
    content: sectorTemplateContent(id: $id) {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
      }
      areas {
        heading
        mediaObjectCards {
          cardContent {
            title
            text
          }
          cardImage {
            image
            description
          }
        }
      }
      imageGallery {
        images {
          galleryImage {
            image
            description
          }
        }
      }
    }
  }
</page-query>
